Bug 41250 - up2date: Invalid Architecture and OS release combination on RH 7.1 after upgrade from RH 7.0.91
up2date: Invalid Architecture and OS release combination on RH 7.1 after upgr...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-18 08:21 EDT by Daniel G. Link
Modified: 2015-01-07 18:45 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-18 08:21:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel G. Link 2001-05-18 08:21:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0b; Windows NT 5.0)

Description of problem:
After upgrading one of my systems from your "wolverine" beta 7.0.91 release
to RH 7.1, when I try up2date -u, I get:

---
Retrieving list of all available packages...
There was a fatal error communicating with the server.  The message was:

ERROR: Invalid Architecture and OS release combination
INFO : N/A

    An unexpected error has occured while processing your request.
    Please try again later or submit a bug report to rhns_help@redhat.com.
    If you choose to submit the bug report, please be sure to include
    details of what were you trying to do when this error occured and
    details on how to reproduce this problem.
---

How reproducible:
Always

Steps to Reproduce:
1.up2date -u
2. (void)
3. (void)
	

Actual Results:  Retrieving list of all available packages...
There was a fatal error communicating with the server.  The message was:

ERROR: Invalid Architecture and OS release combination
INFO : N/A

    An unexpected error has occured while processing your request.
    Please try again later or submit a bug report to rhns_help@redhat.com.
    If you choose to submit the bug report, please be sure to include
    details of what were you trying to do when this error occured and
    details on how to reproduce this problem.


Expected Results:  It should have updated the system.

Additional info:

Some output that might be relevant:

[root@quake ~]# rpm -qi redhat-release
Name        : redhat-release               Relocations: (not relocateable)
Version     : 7.1                               Vendor: Red Hat, Inc.
Release     : 1                             Build Date: Mon Apr  9 
05:13:33 2001
Install date: Sun Apr 22 00:56:08 2001      Build Host: porkchop.redhat.com
Group       : System Environment/Base       Source RPM: redhat-release-7.1-
1.src.rpm
Size        : 36                               License: GPL
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
Summary     : Red Hat Linux release file
Description :
Red Hat Linux release file
[root@quake ~]# uname -a
Linux quake 2.4.2-2 #1 Sun Apr 8 20:41:30 EDT 2001 i686 unknown

---

As a bonus (:)), the email address that's supposed to be used for up2date 
bug reports does not work:

---

The original message was received at Fri, 18 May 2001 08:06:08 -0400
from oe15.law11.hotmail.com [64.4.16.119]

   ----- The following addresses had permanent fatal errors -----
<rhns_help@redhat.com>
    (reason: 550 <rhns_help@lacrosse.redhat.com>... User unknown)
    (expanded from: <rhns_help@redhat.com>)

   ----- Transcript of session follows -----
... while talking to mx.corp.redhat.com.:
>>> RCPT To:<rhns_help@lacrosse.redhat.com>
<<< 550 <rhns_help@lacrosse.redhat.com>... User unknown
550 5.1.1 <rhns_help@redhat.com>... User unknown
Comment 1 David M. Cook 2001-05-23 16:26:53 EDT
up2date was never designed to upgrade releases.
Comment 2 Daniel G. Link 2001-05-23 16:36:15 EDT
Either I have not made myself clear or you do not seem to understand what I was 
trying to say:

I had already made an upgrade from RH 7.0.91 to RH 7.1 using a redhat CD, of 
course, and was NOT trying to do this with the up2date program.

AFTER THAT, on my system that was supposedly upgraded to RH 7.1, I experienced 
the behavior mentioned in the bug report.

I repeat:

- I had RH 7.0.91
- I updgraded to RH 7.1 using the CD.
- THEN up2date did not work!

Note You need to log in before you can comment on or make changes to this bug.